package com.ruoyi.mall.domain.vo;

import java.math.BigDecimal;

/**
 * @ClassName MemberUserVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/6 11:56 AM
 * @Version 1.0
 **/

public class MemberUserVO {
    /** 主键ID */
    private Long id;

    /** 手机号 */
    private String phone;

    /** 微信号 */
    private String wechat;

    /** 性别: 0 未知, 1 男, 2 女 */
    private String sex;

    /** openId */
    private String openid;

    /** 用户头像 */
    private String avatar;

    /** 用户名称 */
    private String name;

    /** 分享时的二维码图片 */
    private String qrCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWechat() {
        return wechat;
    }

    public void setWechat(String wechat) {
        this.wechat = wechat;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    @Override
    public String toString() {
        return "MemberUserVO{" +
                "id=" + id +
                ", phone='" + phone + '\'' +
                ", wechat='" + wechat + '\'' +
                ", sex='" + sex + '\'' +
                ", openid='" + openid + '\'' +
                ", avatar='" + avatar + '\'' +
                ", name='" + name + '\'' +
                ", qrCode='" + qrCode + '\'' +
                '}';
    }
}
